# Class Halos

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.AtomShape
org.jmol.shape.Halos

public class Halos extends AtomShape

## Field Summary

Fields
Modifier and Type
Field
Description
`Integer`
`atomWarning`
`BS`
`bsHighlight`
`short`
`colixHighlight`
`short`
`colixSelection`

### Fields inherited from class AtomShape

`bsSizeDefault, colixes, isActive, isSet, mad, mads, monomerCount, paletteIDs`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Halos()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setModelVisibilityFlags(BS bs)`
`void`
`setProperty(String propertyName, Object value, BS bs)`

### Methods inherited from class AtomShape

`checkColixLength, getShapeState, getSize, initModelSet, initShape, setAtomClickability, setColixAndPalette, setPropAS, setSize, setSize2, setSizeRD, setSizeRD2`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setModelSet, setProperties, setPropS, setShapeSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### colixSelection

public short colixSelection

### bsHighlight

public BS bsHighlight

### atomWarning

public Integer atomWarning

### colixHighlight

public short colixHighlight

## Constructor Details

### Halos

public Halos()

## Method Details

### setProperty

public void setProperty(String propertyName, Object value, BS bs)

Specified by:
  `setProperty` in class `Shape`

### setModelVisibilityFlags

public void setModelVisibilityFlags(BS bs)

Overrides:
  `setModelVisibilityFlags` in class `Shape`
Parameters:
  `bs` -